> ## Documentation Index
> Fetch the complete documentation index at: https://docs.engine.usesophic.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List legal documents

> Retrieve all available legal documents, optionally filtered by document type.



## OpenAPI

````yaml /openapi.json get /legal-documents
openapi: 3.1.0
info:
  title: Sophic Engine API
  version: 0.1.0
servers:
  - url: https://api.engine.usesophic.com
security: []
tags:
  - description: Retrieve accounts, statements, and account documents.
    name: accounts
    x-group: Accounts
  - description: Read the audit trail of platform activity.
    name: activity
    x-group: Activity
  - description: Obtain OAuth access tokens for the Engine API.
    name: auth
    x-group: Authentication
  - description: Inspect the authenticated user or service actor.
    name: identity
    x-group: Identity
  - description: Retrieve fee schedules and billing information.
    name: billing
    x-group: Billing
  - description: Browse instruments and tradable products.
    name: catalog
    x-group: Catalog
  - description: Track onboarding applications through completion.
    name: onboarding
    x-group: Onboarding
  - description: Manage customer records and related person data.
    name: customers
    x-group: Customers
  - description: List platform events and inspect individual occurrences.
    name: events
    x-group: Events
  - description: Read positions, transactions, and account holdings.
    name: holdings
    x-group: Holdings
  - description: Retrieve legal agreements and required disclosures.
    name: legal-documents
    x-group: Legal Documents
  - description: Access prices and market data for instruments.
    name: market-data
    x-group: Market Data
  - description: Manage deposits, withdrawals, and funding accounts.
    name: payments
    x-group: Payments
  - description: Retrieve returns, earnings, and performance metrics.
    name: performance
    x-group: Performance
  - description: Place and manage orders, quotes, and trades.
    name: trading
    x-group: Trading
  - description: Read position and account valuations over time.
    name: valuation
    x-group: Valuation
  - description: Configure webhook endpoints and inspect deliveries.
    name: webhooks
    x-group: Webhooks
  - description: Upload files and retrieve stored documents.
    name: files
    x-group: Files
paths:
  /legal-documents:
    get:
      tags:
        - legal-documents
      summary: List legal documents
      description: >-
        Retrieve all available legal documents, optionally filtered by document
        type.
      operationId: list_legal_documents_legal_documents_get
      parameters:
        - description: Return legal documents of the given type.
          in: query
          name: document_type
          required: false
          schema:
            $ref: '#/components/schemas/LegalDocumentType'
            description: Return legal documents of the given type.
            title: Document Type
            x-remove-null-from-type-union: true
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/LegalDocument'
                title: Response List Legal Documents Legal Documents Get
                type: array
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    LegalDocumentType:
      enum:
        - investment_services_agreement
        - risk_disclosures
        - conflicts_of_interest_policy
        - complaints_handling_policy
        - client_assets_safeguarding_policy
        - investor_compensation_fund_policy
        - order_execution_policy
        - costs_and_charges
        - pccpc_prospectus
        - pccpc_special_regulations
        - pccpc_acceptance_declaration
      properties: {}
      title: LegalDocumentType
      type: string
    LegalDocument:
      properties:
        created_at:
          description: >-
            The timestamp (in
            [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html)
            format) of when the resource was created.
          format: date-time
          title: Created At
          type: string
        document_type:
          allOf:
            - $ref: '#/components/schemas/LegalDocumentType'
          description: Legal document type.
        id:
          description: Unique resource identifier.
          title: Id
          type: string
        latest_version:
          anyOf:
            - $ref: '#/components/schemas/LegalDocumentVersion'
            - type: 'null'
          description: Latest version of the legal document.
        modified_at:
          description: >-
            The timestamp (in
            [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html)
            format) of when the resource was last modified.
          format: date-time
          title: Modified At
          type: string
        name:
          description: Legal document name.
          title: Name
          type: string
      required:
        - created_at
        - modified_at
        - id
        - name
        - document_type
        - latest_version
      title: LegalDocument
      type: object
    Error:
      properties:
        code:
          description: A machine-readable error code.
          title: Code
          type: string
        context:
          additionalProperties:
            anyOf:
              - type: string
              - type: integer
          description: An optional object for adding extra context to the error.
          title: Context
          type: object
          x-remove-null-from-type-union: true
        detail:
          description: A human-readable description of the error.
          title: Detail
          type: string
        docs:
          description: A URL to documentation about this error code.
          title: Docs
          type: string
          x-remove-null-from-type-union: true
        params:
          description: An optional list of params that failed validation.
          items:
            $ref: '#/components/schemas/InvalidParam'
          title: Params
          type: array
          x-remove-null-from-type-union: true
      required:
        - detail
        - code
      title: Error
      type: object
    LegalDocumentVersion:
      properties:
        created_at:
          description: >-
            The timestamp (in
            [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html)
            format) of when the resource was created.
          format: date-time
          title: Created At
          type: string
        effective_at:
          description: Time the legal document version becomes effective.
          examples:
            - '2026-07-14T09:30:00Z'
          format: date-time
          title: Effective At
          type: string
        file:
          description: ID of the file for the legal document version.
          title: File
          type: string
        id:
          description: Unique resource identifier.
          title: Id
          type: string
        legal_document:
          description: ID of the parent legal document.
          title: Legal Document
          type: string
        modified_at:
          description: >-
            The timestamp (in
            [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html)
            format) of when the resource was last modified.
          format: date-time
          title: Modified At
          type: string
        version:
          description: Version of the legal document.
          title: Version
          type: string
      required:
        - created_at
        - modified_at
        - id
        - legal_document
        - version
        - effective_at
        - file
      title: LegalDocumentVersion
      type: object
    InvalidParam:
      properties:
        code:
          description: A machine-readable error code.
          title: Code
          type: string
        detail:
          description: Human-readable detail for error.
          title: Detail
          type: string
        path:
          description: Path to the field name (or index if a list) that errored.
          items:
            anyOf:
              - type: integer
              - type: string
          title: Path
          type: array
      required:
        - path
        - detail
        - code
      title: InvalidParam
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````